Clp 1.17.6

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros Groups Pages
Public Member Functions | List of all members
CoinRelFltEq Class Reference

Equality to a scaled tolerance. More...

`#include <CoinFloatEqual.hpp>`

## Public Member Functions
bool | operator() (const double f1, const double f2) const
| Compare function. More...
Constructors and destructors
| CoinRelFltEq ()
| Default constructor. More...
| CoinRelFltEq (const double epsilon)
| Alternate constructor with epsilon as a parameter. More...
virtual | ~CoinRelFltEq ()
| Destructor. More...
| CoinRelFltEq (const CoinRelFltEq &src)
| Copy constructor. More...
CoinRelFltEq & | operator= (const CoinRelFltEq &rhs)
| Assignment. More...

## Private Attributes
Private member data
double | epsilon_
| Base equality tolerance. More...

## Detailed Description

Equality to a scaled tolerance.

Operands are considered equal if their difference is within a scaled epsilon calculated as epsilon_*(1+CoinMax(|f1|,|f2|)).

Definition at line 120 of file CoinFloatEqual.hpp.

## Constructor & Destructor Documentation

CoinRelFltEq::CoinRelFltEq | ( |  | ) |
| inline

Default constructor.

Default tolerance is 1.0e-10.

Definition at line 147 of file CoinFloatEqual.hpp.

CoinRelFltEq::CoinRelFltEq | ( | const double | epsilon | ) |
| inline

Alternate constructor with epsilon as a parameter.

Definition at line 162 of file CoinFloatEqual.hpp.

virtual CoinRelFltEq::~CoinRelFltEq | ( |  | ) |
| inline virtual

Destructor.

Definition at line 169 of file CoinFloatEqual.hpp.

CoinRelFltEq::CoinRelFltEq | ( | const CoinRelFltEq & | src | ) |
| inline

Copy constructor.

Definition at line 173 of file CoinFloatEqual.hpp.

## Member Function Documentation

bool CoinRelFltEq::operator() | ( | const double | f1,
|  | const double | f2
| ) |  | const
| inline

Compare function.

Definition at line 124 of file CoinFloatEqual.hpp.

CoinRelFltEq& CoinRelFltEq::operator= | ( | const CoinRelFltEq & | rhs | ) |
| inline

Assignment.

Definition at line 180 of file CoinFloatEqual.hpp.

## Member Data Documentation

double CoinRelFltEq::epsilon_
| private

Base equality tolerance.

Definition at line 196 of file CoinFloatEqual.hpp.

The documentation for this class was generated from the following file:

- /tmp/Clp-1.17.6/CoinUtils/src/CoinFloatEqual.hpp